'use strict';
var path = require('path');

module.exports = function (grunt) {
  // Project configuration.
  grunt.initConfig({
    copy: {
      main: {
        files: [
          {
            expand: true,
            cwd: 'flight_subtheme',
            src: [
              '.gitignore',
              '*',
              '*/*',
              '!*.info',
              '!flight_subtheme.png'
            ],
            dest: '<%= themeName %>/'
          },
          {
            expand: true,
            cwd: 'flight_subtheme',
            src: [
              '*.info'
            ],
            dest: '<%= themeName %>/',
            rename: function(dest) {
              return dest + "<%= themeName %>.info";
            }
          },
          {
            expand: true,
            cwd: 'flight_subtheme',
            src: [
              'flight_subtheme.png'
            ],
            dest: '<%= themeName %>/',
            rename: function(dest) {
              return dest + "<%= themeName %>.png";
            }
          }
        ]
      }
    },
    replace: {
      theme: {
        src: [
          '<%= themeName %>/*.php',
          '<%= themeName %>/*.info',
          '<%= themeName %>/js/*',
          '<%= themeName %>/*.txt',
          '<%= themeName %>/package.json'
        ],
        overwrite: true,
        replacements: [{
          from: /flight_subtheme/i,
          to: '<%= themeName %>'
        }]
      }
    }
  });

  grunt.loadNpmTasks('grunt-contrib-copy');
  grunt.loadNpmTasks('grunt-text-replace');

  grunt.registerTask('subtheme', "Create a flight subtheme", function(themeName) {
    console.log(themeName);
    grunt.config.set('themeName', themeName);
    grunt.task.run('copy');
    grunt.task.run('replace:theme');
  });
};
